Bug 1080285 - document expected directory layout/contents of tftpboot directory
Summary: document expected directory layout/contents of tftpboot directory
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Beaker
Classification: Community
Component: Doc
Version: 0.16
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified vote
Target Milestone: 0.17.1
Assignee: Dan Callaghan
QA Contact: tools-bugs
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-03-25 04:46 UTC by Dan Callaghan
Modified: 2018-02-06 00:41 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-07-18 08:17:45 UTC


Attachments (Terms of Use)

Description Dan Callaghan 2014-03-25 04:46:31 UTC
Beaker has a number of expectations about the directory layout under /var/lib/tftpboot for the netboot configurations it is managing. The layout differs for each arch and bootloader type.

We should document exactly which directories under /var/lib/tftpboot Beaker uses for what purpose, and what are valid locations for bootloader images (in some cases it is up to the admin, whereas some other paths are hardcoded).

Comment 2 Dan Callaghan 2014-06-12 06:33:39 UTC
On Gerrit: http://gerrit.beaker-project.org/3143

Comment 3 Dan Callaghan 2014-06-17 00:41:40 UTC
This is now included in the branch docs:

https://beaker-project.org/docs-release-0.17/admin-guide/tftp.html

Comment 4 xuezhi ma 2014-06-17 02:11:27 UTC
Have reviewed https://beaker-project.org/docs-release-0.17/admin-guide/tftp.html and checked /var/lib/tftpboot on lab controller. Directories under /var/lib/tftpboot has been described in the document.

Change it to verified

Comment 5 Dan Callaghan 2014-07-18 08:17:45 UTC
Beaker 0.17.1 has been released.


Note You need to log in before you can comment on or make changes to this bug.